Loading...
Searching...
No Matches
RadixHeap< IM >::PriorityUnderflowError Class Reference

## Detailed Description

template<typename IM>
class lemon::RadixHeap< IM >::PriorityUnderflowError

This exception is thrown when an item is inserted into a RadixHeap with a priority smaller than the last erased one.

See also
  RadixHeap

`#include <lemon/radix_heap.h>`

Inheritance diagram for RadixHeap< IM >::PriorityUnderflowError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Exception
| Exception () throw ()
| Constructor.
virtual | ~Exception () throw ()
| Virtual destructor.